﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ServiceTrackerPresenter
{
	public delegate void AccountViewEventDelegate(object sender, IAccountView view);

	public interface IAccountView
	{
		event AccountViewEventDelegate SearchCustomersRequested;
		event AccountViewEventDelegate AccountViewLoad;
		event AccountViewEventDelegate AddAccountRequested;
		IAccountGrid AccountGrid { get; }
		string SearchCriteria { get; set; }
		void OpenAccountWindow();
		IAddAccountView AddAccountForm { get; }
	}
}
